Bug 1992820 - [Knative] Event Sources should be under Serverless group together with Channel
Summary: [Knative] Event Sources should be under Serverless group together with Channel
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Aritra Roy
QA Contact: Jaivardhan Kumar
Rishu Mehra
URL:
Whiteboard:
Depends On:
Blocks: 1999931
TreeView+ depends on / blocked
 
Reported: 2021-08-11 19:01 UTC by Aritra Roy
Modified: 2021-10-06 07:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: "Serverless" add group only conveys a part of the complete scope of serverless. "Event Sources" add option is a serverless feature but is not included in "Serverless" add group Consequence: "Serverless" add group does not convey the entire scope of serverless, but only the eventing part of it. Event Sources not being in the Serverless grouping is confusing to the users. Fix: "Serverless" add group title should be changed to "Eventing" "Event sources" add option should be shown under "Eventing" (previously Serverless) add group. Result:
Clone Of:
: 1999931 (view as bug list)
Environment:
Last Closed: 2021-10-06 07:23:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9785 0 None None None 2021-08-11 19:01:16 UTC

Description Aritra Roy 2021-08-11 19:01:17 UTC
Description of problem:
Event Sources tile button is located in Developer Catalog group. It should be located in Serverless group, the same as Channel is.

Prerequisites (if any, like setup, operators/versions): Serverless installed

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-08-07-175228


How reproducible:
Always

Steps to Reproduce:
1.In developer perspective click +Add
2.
3.

Actual results:
Event Source tile is located in Developer Catalog group

Expected results:
Event Source should be located in Serverless group . Serverless group should be renamed to Eventing and have Event sources and Channel and Broker under it. 

Additional info:

Comment 6 Jaivardhan Kumar 2021-08-30 12:49:20 UTC
verified on 4.9.0-0.nightly-2021-08-29-010334

Comment 8 Rishu Mehra 2021-10-06 06:53:14 UTC
This bug was found and fixed in the same release so no need to document this in the Release Notes.


Note You need to log in before you can comment on or make changes to this bug.